# Contacts

Contacts are all the individual persons or organizations you are doing business with. Use the contacts API to list, create or update contacts within your Lancerkit account.&#x20;

## API endpoints

## List contacts

<mark style="color:blue;">`GET`</mark> `https://api.lancerkit.com/contacts`

List all the contacts on your account

#### Query Parameters

| Name   | Type   | Description                        |
| ------ | ------ | ---------------------------------- |
| search | String | A query to filter the contact list |
| page   | Number |                                    |

{% tabs %}
{% tab title="200: OK All the contacts matching your search " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Get a contact

<mark style="color:blue;">`GET`</mark> `https://api.lancerkit.com/contacts/:id`

Get a specific contact from your account

#### Path Parameters

| Name | Type   | Description           |
| ---- | ------ | --------------------- |
| id   | String | The id of the contact |

{% tabs %}
{% tab title="200: OK The specified document" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Delete contacts

<mark style="color:red;">`DELETE`</mark> `https://api.lancerkit.com/contacts`

Delete some contacts from your account

#### Request Body

| Name | Type   | Description                       |
| ---- | ------ | --------------------------------- |
| ids  | String | The ids of the contacts to delete |

{% tabs %}
{% tab title="200: OK The number of contacts deleted" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Edit a contact

<mark style="color:green;">`POST`</mark> `https://api.lancerkit.com/contacts/:id`

Edit an existing contact

#### Path Parameters

| Name | Type   | Description           |
| ---- | ------ | --------------------- |
| id   | String | The id of the contact |

#### Request Body

| Name      | Type   | Description |
| --------- | ------ | ----------- |
| firstName | String |             |
| lastName  | String |             |
| company   | String |             |
| phone     | String |             |
| email     | String |             |
| vatNumber | String |             |
| country   | String |             |
| city      | String |             |
| zip       | String |             |
| number    | String |             |
| street    | String |             |

{% tabs %}
{% tab title="200: OK The edited contact" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Create a contact

<mark style="color:green;">`POST`</mark> `https://api.lancerkit.com/contacts/new`

Create a new contact&#x20;

#### Request Body

| Name      | Type   | Description |
| --------- | ------ | ----------- |
| firstName | String |             |
| lastName  | String |             |
| company   | String |             |
| phone     | String |             |
| email     | String |             |
| vatNumber | String |             |
| country   | String |             |
| city      | String |             |
| zip       | String |             |
| number    | String |             |
| street    | String |             |

{% tabs %}
{% tab title="200: OK The created contact" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidoc.lancerkit.com/reference/api-reference/contacts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
